#include "blockviewplugin.h"

#include "blockview.h"

#include <QtCore/QtPlugin>


BlockViewPlugin::BlockViewPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void BlockViewPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool BlockViewPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * BlockViewPlugin::createWidget(QWidget * parent) {
	return new BlockView(parent);
}


QString BlockViewPlugin::name() const {
	return QLatin1String("BlockView");
}


QString BlockViewPlugin::group() const {
	return QLatin1String("Display Widgets");
}


QIcon BlockViewPlugin::icon() const {
	return QIcon(":/icons/widgets/blockview.png");
}


QString BlockViewPlugin::toolTip() const {
	return QLatin1String("");
}


QString BlockViewPlugin::whatsThis() const {
	return QLatin1String("");
}


bool BlockViewPlugin::isContainer() const {
	return false;
}


QString BlockViewPlugin::domXml() const {
	return QLatin1String("<widget class=\"BlockView\" name=\"blockView\">\n</widget>\n");
}


QString BlockViewPlugin::includeFile() const {
	return QLatin1String("blockview.h");
}
